package java.awt.peer;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Event;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Toolkit;
import java.awt.image.ColorModel;
import java.awt.image.ImageObserver;
import java.awt.image.ImageProducer;

public interface ComponentPeer {
   void show();

   void hide();

   void enable();

   void disable();

   void paint(Graphics var1);

   void repaint(long var1, int var3, int var4, int var5, int var6);

   void print(Graphics var1);

   void reshape(int var1, int var2, int var3, int var4);

   boolean handleEvent(Event var1);

   Dimension minimumSize();

   Dimension preferredSize();

   ColorModel getColorModel();

   Toolkit getToolkit();

   Graphics getGraphics();

   FontMetrics getFontMetrics(Font var1);

   void dispose();

   void setForeground(Color var1);

   void setBackground(Color var1);

   void setFont(Font var1);

   void requestFocus();

   void nextFocus();

   Image createImage(ImageProducer var1);

   Image createImage(int var1, int var2);

   boolean prepareImage(Image var1, int var2, int var3, ImageObserver var4);

   int checkImage(Image var1, int var2, int var3, ImageObserver var4);
}
